For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Venues by Search

This endpoint returns venues (racing tracks) matching a provided search query.

https://api.sportmonks.com/v3/motorsport/venues/search/SEARCH_QUERY
{
    "data": {
        "id": 343582,
        "country_id": 75285,
        "city_id": 58164,
        "name": "Circuit de Monaco",
        "address": null,
        "zipcode": null,
        "latitude": "43.7347",
        "longitude": "7.4206",
        "capacity": 37000,
        "image_path": "https://cdn.sportmonks.com/images/core/venues/30/343582.png",
        "city_name": null,
        "surface": "asphalt",
        "national_team": false
    },
Field
Description
Type

id

The unique id of the venue

integer

country_id

The country the venue is in

integer

name

The name of the venue/track

string

address

The address of the venue

string

zipcode

The zipcode of the venue

string

latitude

The latitude of the venue

string

longitude

The longitude of the venue

string

capacity

The capacity of the venue

integer

image_path

The track layout image URL

string

city_name

The name of city the venue is in

string

surface

The surface of the venue

string

national_team

Not used in the Motorsport API

boolean

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Static filters are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.

Not applicable for this endpoint.

Pagination

YES

Include depth

You can use a total of 2 nested includes on this endpoint

Include options

country fixtures city metadata

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the Venue endpoints are:

Code Example

require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/motorsport/venues/search/Hungaroring?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/motorsport/venues/search/Hungaroring?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))

Last updated

Was this helpful?